org.apache.jmeter.testbeans

## Class TestBeanBeanInfo

- java.lang.Object
- - org.apache.jmeter.testbeans.TestBeanBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class TestBeanBeanInfo
    extends Object
    implements BeanInfo

This is the BeanInfo object for the TestBean class. It acts as a "stopper" for the introspector: we don't want it to look at properties defined at this or higher classes.

Note this is really needed since using Introspector.getBeanInfo with a stop class is not an option because:

1. The API does not define a 3-parameter getBeanInfo in which you can use a stop class AND flags. [Why? I guess this is a bug in the spec.]
2. java.beans.Introspector is buggy and, opposite to what's stated in the Javadocs, only results of getBeanInfo(Class) are actually cached.

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
Constructor and Description
`TestBeanBeanInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BeanInfo[]` `getAdditionalBeanInfo()`
`BeanDescriptor` `getBeanDescriptor()`
`int` `getDefaultEventIndex()`
`int` `getDefaultPropertyIndex()`
`EventSetDescriptor[]` `getEventSetDescriptors()`
`Image` `getIcon(int iconKind)`
`MethodDescriptor[]` `getMethodDescriptors()`
`PropertyDescriptor[]` `getPropertyDescriptors()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestBeanBeanInfo

    public TestBeanBeanInfo()

### Method Detail

#### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

Specified by:
  `getAdditionalBeanInfo` in interface `BeanInfo`

#### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

Specified by:
  `getBeanDescriptor` in interface `BeanInfo`

#### getDefaultEventIndex

    public int getDefaultEventIndex()

Specified by:
  `getDefaultEventIndex` in interface `BeanInfo`

#### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

Specified by:
  `getDefaultPropertyIndex` in interface `BeanInfo`

#### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

Specified by:
  `getEventSetDescriptors` in interface `BeanInfo`

#### getIcon

    public Image getIcon(int iconKind)

Specified by:
  `getIcon` in interface `BeanInfo`

#### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

Specified by:
  `getMethodDescriptors` in interface `BeanInfo`

#### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`